{*
* GDPR Cookie Consent Module for PrestaShop
*
* @author      Walzen665
* @copyright   Copyright (c) 2025
* @license     http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}

<div id="gdpr-cookie-modal" class="gdpr-cookie-modal">
    <div class="gdpr-cookie-modal-content">
        <div class="gdpr-cookie-modal-header">
            <h4>{l s='Cookie Settings' mod='gdprcookieconsent'}</h4>
        </div>
        <div class="gdpr-cookie-modal-body">
            <p>{$gdprCookieMessage}</p>
            
            <div class="gdpr-cookie-info-block">
                <p><strong>{l s='Data Controller:' mod='gdprcookieconsent'}</strong> {$gdprCookieDataController}</p>
                <p><strong>{l s='Cookie Retention Period:' mod='gdprcookieconsent'}</strong> {$gdprCookieRetentionPeriod}</p>
                <p><strong>{l s='Third-Party Recipients:' mod='gdprcookieconsent'}</strong> {$gdprCookieThirdParties}</p>
                <p><strong>{l s='Your Rights:' mod='gdprcookieconsent'}</strong> {l s='You can withdraw your consent at any time by clicking the "Manage Cookie Preferences" button or by deleting cookies in your browser settings.' mod='gdprcookieconsent'}</p>
            </div>
            
            <div class="gdpr-cookie-categories">
                <div class="gdpr-cookie-category">
                    <input type="checkbox" id="gdpr-cookie-necessary" checked disabled>
                    <label for="gdpr-cookie-necessary">{l s='Necessary' mod='gdprcookieconsent'}</label>
                    <p>{l s='Necessary cookies help make a website usable by enabling basic functions like page navigation. The website cannot function properly without these cookies.' mod='gdprcookieconsent'}</p>
                </div>
                {if !$gdprCookieOnlyRequired}
                    <div class="gdpr-cookie-category">
                        <input type="checkbox" id="gdpr-cookie-functional" class="gdpr-cookie-checkbox" data-cookie-category="functional">
                        <label for="gdpr-cookie-functional">{l s='Functional' mod='gdprcookieconsent'}</label>
                        <p>{l s='Functional cookies enable a website to remember information that changes the way the website behaves or looks, like your preferred language or the region you are in.' mod='gdprcookieconsent'}</p>
                    </div>
                    <div class="gdpr-cookie-category">
                        <input type="checkbox" id="gdpr-cookie-analytics" class="gdpr-cookie-checkbox" data-cookie-category="analytics">
                        <label for="gdpr-cookie-analytics">{l s='Analytics' mod='gdprcookieconsent'}</label>
                        <p>{l s='Analytics cookies help website owners understand how visitors interact with websites by collecting and reporting information anonymously.' mod='gdprcookieconsent'}</p>
                    </div>
                    <div class="gdpr-cookie-category">
                        <input type="checkbox" id="gdpr-cookie-marketing" class="gdpr-cookie-checkbox" data-cookie-category="marketing">
                        <label for="gdpr-cookie-marketing">{l s='Marketing' mod='gdprcookieconsent'}</label>
                        <p>{l s='Marketing cookies are used to track visitors across websites. The intention is to display ads that are relevant and engaging for the individual user.' mod='gdprcookieconsent'}</p>
                    </div>
                {/if}
            </div>
        </div>
        <div class="gdpr-cookie-modal-footer">
            <a href="{$gdprCookieMoreInfoUrl}" class="gdpr-cookie-more-info">{$gdprCookieMoreInfo}</a>
            <div class="gdpr-cookie-buttons">
                {if !$gdprCookieOnlyRequired}
                    <button id="gdpr-cookie-decline" class="gdpr-cookie-decline">{$gdprCookieDecline}</button>
                    <button id="gdpr-cookie-accept-selected" class="gdpr-cookie-accept-selected">{l s='Accept Selected' mod='gdprcookieconsent'}</button>
                {/if}
                <button id="gdpr-cookie-accept-all" class="gdpr-cookie-accept-all">{$gdprCookieAccept}</button>
            </div>
        </div>
    </div>
</div>

<div id="gdpr-cookie-banner" class="gdpr-cookie-banner">
    <div class="gdpr-cookie-banner-content">
        <p>{$gdprCookieMessage}</p>
        {*        <div class="gdpr-cookie-banner-info">*}
        {*            <p><small><strong>{l s='Data Controller:' mod='gdprcookieconsent'}</strong> {$gdprCookieDataController} | *}
        {*            <strong>{l s='Retention:' mod='gdprcookieconsent'}</strong> {$gdprCookieRetentionPeriod}</small></p>*}
        {*        </div>*}
        <div class="gdpr-cookie-banner-buttons">
            {if !$gdprCookieOnlyRequired}
                <button id="gdpr-cookie-banner-decline" class="gdpr-cookie-banner-decline">{$gdprCookieDecline}</button>
            {/if}
            <button id="gdpr-cookie-banner-settings" class="gdpr-cookie-banner-settings">{$gdprCookieSettings}</button>
            <button id="gdpr-cookie-banner-accept" class="gdpr-cookie-banner-accept">{$gdprCookieAccept}</button>
        </div>
    </div>
</div>

<div id="gdpr-cookie-manage-button" class="gdpr-cookie-manage-button" style="display: none;">
    <button id="gdpr-cookie-manage" class="gdpr-cookie-manage">{$gdprCookieManageText}</button>
</div>